package com.flossom.miniProgram.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.flossom.common.core.annotation.Excel;

import java.util.Date;

public class LoginUserVo {

    /**
     * id
     */
    private Long id;

    /**
     * 昵称
     */
    @Excel(name = "昵称")
    private String nickname;

    /**
     * 头像
     */
    @Excel(name = "头像")
    private String headimg;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String username;

    /**
     * 积分
     */
    @Excel(name = "积分")
    private Integer credit;

    /**
     * 即将过期积分
     */
    @Excel(name = "即将过期积分")
    private Integer expireCredit;

    /**
     * 手机
     */
    @Excel(name = "手机")
    private String mobile;

    /**
     * 省id
     */
    @Excel(name = "省id")
    private Long provinceId;

    /**
     * 省
     */
    @Excel(name = "省")
    private String province;

    /**
     * 市id
     */
    @Excel(name = "市id")
    private Long cityId;

    /**
     * 市
     */
    @Excel(name = "市")
    private String city;

    /**
     * 区id
     */
    @Excel(name = "区id")
    private Long areaId;

    /**
     * 区
     */
    @Excel(name = "区")
    private String area;

    /**
     * 生日
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    private String token;

    /**
     * 首次完善用户信息时，会有奖励积分文案
     */
    private String integralText;

    /**
     * 绑定的仪器数量
     */
    private Integer devicesNum;


    public LoginUserVo() {
    }

    public LoginUserVo(Long id, String nickname, String headimg, String username, Integer credit, Integer expireCredit, String mobile, Long provinceId, String province, Long cityId, String city, Long areaId, String area, Date birthday, String token, String integralText) {
        this.id = id;
        this.nickname = nickname;
        this.headimg = headimg;
        this.username = username;
        this.credit = credit;
        this.expireCredit = expireCredit;
        this.mobile = mobile;
        this.provinceId = provinceId;
        this.province = province;
        this.cityId = cityId;
        this.city = city;
        this.areaId = areaId;
        this.area = area;
        this.birthday = birthday;
        this.token = token;
        this.integralText = integralText;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getHeadimg() {
        return headimg;
    }

    public void setHeadimg(String headimg) {
        this.headimg = headimg;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Integer getCredit() {
        return credit;
    }

    public void setCredit(Integer credit) {
        this.credit = credit;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getIntegralText() {
        return integralText;
    }

    public void setIntegralText(String integralText) {
        this.integralText = integralText;
    }

    public Integer getExpireCredit() {
        return expireCredit;
    }

    public void setExpireCredit(Integer expireCredit) {
        this.expireCredit = expireCredit;
    }

    public Integer getDevicesNum() {
        return devicesNum;
    }

    public void setDevicesNum(Integer devicesNum) {
        this.devicesNum = devicesNum;
    }
}
